/*********
  MODIFIED BY VASCO NEVES @ 16/06/2021
  Rui Santos
  Complete project details at https://randomnerdtutorials.com  
*********/

#include <Wire.h>
 
void setup() {
  Wire.begin(14,27);
  Wire1.begin(26,25);
  Serial.begin(115200);
  Serial.println("\nI2C Scanner");
}
 
void loop() {
  byte error,error1, address, address1;
  int nDevices,nDevices1;
  Serial.println("Scanning...");
  nDevices = 0;
  nDevices1=0;
  for(address = 1; address < 127; address++ ) {
    Wire.beginTransmission(address);
    Wire1.beginTransmission(address);
    error = Wire.endTransmission();
    error1 = Wire1.endTransmission();
    if (error == 0 or error1 == 0) {
      Serial.print("I2C device found at address 0x");
      if (address<16) {
        Serial.print("0");
      }
      Serial.println(address,HEX);
      nDevices++;
    }
    else if (error==4 or error1==4) {
      Serial.print("Unknow error at address 0x");
      if (address<16) {
        Serial.print("0");
      }
      Serial.println(address,HEX);
    }    
  }
  if (nDevices == 0) {
    Serial.println("No I2C devices found\n");
  }
  else {
    Serial.println("done\n");
  }
  delay(5000);          
}
